 .menu-toggle {
    width: 2rem;
    height: 2rem;
    background: none;
    border: none;
    position: relative;
    cursor: pointer;
    z-index: 1100;
}
@media (width > 62rem) {
    .menu-toggle {
        display: none;
    }
}

.hamburger,
.hamburger::before,
.hamburger::after {
    content: "";
    display: block;
    height: 2px;
    width: 1.5rem;
    background: var(--color-primary);
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    transition: var(--transition);
}
  
.hamburger {
    top: 50%;
}
  
.hamburger::before {
    top: -8px;
}
  
.hamburger::after {
    top: 8px;
}
  
.menu-open .hamburger {
    background: transparent;
}
  
.menu-open .hamburger::before {
    transform: translate(-50%, 8px) rotate(45deg);
}
  
.menu-open .hamburger::after {
    transform: translate(-50%, -8px) rotate(-45deg);
}
  

.menu-open .header-content.header-authenticated,
.menu-open .header-content.header-anonymous{
    transform: translateX(0);
}
  
.menu-open::after {
    opacity: 1;
    visibility: visible;
}
  
.menu-open {
    overflow: hidden;
}
